# Class TimeHeaderCell

java.lang.Object
org.daypilot.data.TimeHeaderCell

public class TimeHeaderCell extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeHeaderCell(ITimeHeaderParent scheduler, DateTime start, DateTime end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBackColor()`
  `DateTime`
  `getEnd()`
  `String`
  `getInnerHTML()`
  `Integer`
  `getLeft()`
  `int`
  `getLevel()`
  `int`
  `getRight()`
  `DateTime`
  `getStart()`
  `String`
  `getToolTip()`
  `Integer`
  `getWidth()`
  `void`
  `setBackColor(String backColor)`
  `void`
  `setInnerHTML(String innerHTML)`
  `void`
  `setLeft(Integer left)`
  `void`
  `setLevel(int level)`
  `void`
  `setToolTip(String toolTip)`
  `void`
  `setWidth(Integer width)`
  `JSONObject`
  `toJSON()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeHeaderCell

    public TimeHeaderCell(ITimeHeaderParent scheduler, DateTime start, DateTime end)

- ## Method Details

  - ### getStart

    public DateTime getStart()

  - ### getInnerHTML

    public String getInnerHTML()

  - ### setInnerHTML

    public void setInnerHTML(String innerHTML)

  - ### getToolTip

    public String getToolTip()

  - ### setToolTip

    public void setToolTip(String toolTip)

  - ### getEnd

    public DateTime getEnd()

  - ### getBackColor

    public String getBackColor()

  - ### getLevel

    public int getLevel()

  - ### setLevel

    public void setLevel(int level)

  - ### setBackColor

    public void setBackColor(String backColor)

  - ### toJSON

    public JSONObject toJSON()

  - ### getLeft

    public Integer getLeft()

  - ### setLeft

    public void setLeft(Integer left)

  - ### getWidth

    public Integer getWidth()

  - ### setWidth

    public void setWidth(Integer width)

  - ### getRight

    public int getRight()